<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateAppServerInfoReq StructType
 * @subpackage Structs
 */
class UpdateAppServerInfoReq extends APIRequest
{
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * The appServerName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $appServerName;
    /**
     * The appServerContent
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $appServerContent;
    /**
     * The content
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XContent
     */
    public $content;
    /**
     * Constructor method for UpdateAppServerInfoReq
     * @uses UpdateAppServerInfoReq::setUuid()
     * @uses UpdateAppServerInfoReq::setAppServerName()
     * @uses UpdateAppServerInfoReq::setAppServerContent()
     * @uses UpdateAppServerInfoReq::setContent()
     * @param string $uuid
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $appServerName
     * @param string $appServerContent
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XContent $content
     */
    public function __construct($uuid = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $appServerName = null, $appServerContent = null, \\Losc\CucmBundle\Model\Webservice\StructType\XContent $content = null)
    {
        $this
            ->setUuid($uuid)
            ->setAppServerName($appServerName)
            ->setAppServerContent($appServerContent)
            ->setContent($content);
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return isset($this->uuid) ? $this->uuid : null;
    }
    /**
     * Set uuid value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateAppServerInfoReq
     */
    public function setUuid($uuid = null)
    {
        if (is_null($uuid) || (is_array($uuid) && empty($uuid))) {
            unset($this->uuid);
        } else {
            $this->uuid = $uuid;
        }
        return $this;
    }
    /**
     * Get appServerName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getAppServerName()
    {
        return $this->appServerName;
    }
    /**
     * Set appServerName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $appServerName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateAppServerInfoReq
     */
    public function setAppServerName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $appServerName = null)
    {
        $this->appServerName = $appServerName;
        return $this;
    }
    /**
     * Get appServerContent value
     * @return string|null
     */
    public function getAppServerContent()
    {
        return $this->appServerContent;
    }
    /**
     * Set appServerContent value
     * @param string $appServerContent
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateAppServerInfoReq
     */
    public function setAppServerContent($appServerContent = null)
    {
        $this->appServerContent = $appServerContent;
        return $this;
    }
    /**
     * Get content value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XContent|null
     */
    public function getContent()
    {
        return isset($this->content) ? $this->content : null;
    }
    /**
     * Set content value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XContent $content
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateAppServerInfoReq
     */
    public function setContent(\\Losc\CucmBundle\Model\Webservice\StructType\XContent $content = null)
    {
        if (is_null($content) || (is_array($content) && empty($content))) {
            unset($this->content);
        } else {
            $this->content = $content;
        }
        return $this;
    }
}
